package com.tecnavia.tabridge;

import android.app.Activity;
import android.os.Bundle;

import androidx.annotation.Nullable;

import com.facebook.react.ReactDelegate;
import com.facebook.react.ReactNativeHost;
import com.facebook.react.ReactRootView;
import com.tecnavia.tabridge.utils.TaReflection;

public class TaReactFragmentDelegate extends ReactDelegate {
	private Activity mActivity;

	public TaReactFragmentDelegate(Activity activity, ReactNativeHost reactNativeHost, @Nullable String appKey, @Nullable Bundle launchOptions) {
		super(activity, reactNativeHost, appKey, launchOptions);
		mActivity = activity;
	}

	@Override
	protected ReactRootView createRootView() {
		return TaReflection.initRootView("com.swmansion.gesturehandler.react.RNGestureHandlerEnabledRootView", mActivity);
	}
}
