"use strict";

function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/* eslint-disable camelcase */
/**
 * This exposes the native ActivityStarter module as a JS module.
 */
import { NativeModules, Platform } from "react-native";
const {
  Notifications
} = NativeModules;
let Notification = /*#__PURE__*/function () {
  function Notification() {
    _classCallCheck(this, Notification);
  }
  return _createClass(Notification, null, [{
    key: "isAndroid",
    value: function isAndroid() {
      return Platform.OS === "android";
    }
  }, {
    key: "displayNotification",
    value: async function displayNotification(notification) {
      if (Notification.isAndroid()) {
        return Notifications.displayNotification(notification);
      }
      return Promise.resolve();
    }
  }, {
    key: "createChannel",
    value: async function createChannel(channel) {
      if (Notification.isAndroid()) {
        return Notifications.createChannel(channel);
      }
      return Promise.resolve();
    }
  }, {
    key: "removeDeliveredNotification",
    value: async function removeDeliveredNotification(id) {
      if (Notification.isAndroid()) {
        return Notifications.removeDeliveredNotification(id);
      }
      return Promise.resolve();
    }
  }]);
}();
export { Notification as default };
//# sourceMappingURL=Notifications.js.map