# react-native-bridge.podspec

require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "react-native-bridge"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.description  = <<-DESC
                  react-native-bridge
                   DESC
  s.homepage     = "https://ussvc01.newsmemory.com:3000/tecnavia/react-native-bridge"
  s.license      = "MIT"
  s.authors      = { "Nick Aquilini" => "naquilini@tecnavia.com" }
  s.platforms    = { :ios => "9.0" }
  s.source       = { :git => "https://ussvc01.newsmemory.com:3000/tecnavia/react-native-bridge.git", :tag => "#{s.version}" }

  s.source_files = "ios/*.{h,m}"
  s.requires_arc = true

  s.dependency "React"
end

