"use strict";

function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { NativeEventEmitter, DeviceEventEmitter, NativeModules, Platform } from "react-native";
let RNEventEmitter = /*#__PURE__*/function () {
  function RNEventEmitter() {
    _classCallCheck(this, RNEventEmitter);
  }
  return _createClass(RNEventEmitter, null, [{
    key: "isIOS",
    value: function isIOS() {
      return Platform.OS === "ios";
    }
  }, {
    key: "addListener",
    value: function addListener(event, callback) {
      let listener;
      if (RNEventEmitter.isIOS()) {
        const {
          BridgeEmitter
        } = NativeModules;
        const eventEmitter = new NativeEventEmitter(BridgeEmitter);
        listener = eventEmitter.addListener(event, params => {
          if (callback) {
            callback(params);
          }
        });
      } else {
        listener = DeviceEventEmitter.addListener(event, params => {
          if (callback) {
            callback(params);
          }
        });
      }
      return listener;
    }
  }]);
}();
_defineProperty(RNEventEmitter, "NEW_INTENT", "onNewIntent");
_defineProperty(RNEventEmitter, "ON_KEY_DOWN", "onKeyDown");
_defineProperty(RNEventEmitter, "ON_KEY_UP", "onKeyUp");
_defineProperty(RNEventEmitter, "ON_USER_INTERACT", "onUserInteract");
export { RNEventEmitter as default };
//# sourceMappingURL=RNEventEmitter.js.map